<h1>My Messages</h1>

<ul *ngIf="messages" class="list-group">
  <li *ngFor="let message of pageMessages" class="list-group-item">
    <!--On fait ici le lien vers la page de chaque message via le
    routerLink, en fournissant bien l'argument id-->
    <a [routerLink]="['/admin/message',message.id]">
      {{message.date | date:'H:m dd/M/yyyy'}} //
      sender : {{message.sender}}
    </a>
    <button class="btn btn-danger" (click)="delete(message.id)">Delete</button>
  </li>

</ul>
<ngb-pagination [collectionSize]="messages.length" [(page)]="page" [pageSize]="pageSize" aria-label="Default pagination"></ngb-pagination>
<select class="form-control" [(ngModel)]="pageSize">
  <option>5</option>
  <option>10</option>
  <option>15</option>
  <option>20</option>
</select>
<p *ngIf="!messages">You don't have any messages</p>